
.cd-top {
  position: fixed;
  bottom: 20px;
  bottom: var(--cd-back-to-top-margin);
  right: 20px;
  right: var(--cd-back-to-top-margin);
  display: inline-block;
  height: 40px;
  height: var(--cd-back-to-top-size);
  width: 40px;
  width: var(--cd-back-to-top-size);
  box-shadow: 0 0 10px rgba(0,0,0,.05);
  background: url(../image/cd-top-arrow.svg) no-repeat center 50%;
  background-color: hsla(5,76%,62%,.8);
  background-color: hsla(var(--cd-color-3-h),var(--cd-color-3-s),var(--cd-color-3-l),0.8);
}

 .cd-top {
  visibility: hidden;
  opacity: 0;
  transition: opacity .3s,visibility .3s,background-color .3s;
}

 .cd-top--is-visible {
  visibility: visible;
  opacity: 1;
}

 .cd-top--fade-out {
  opacity: .5;
}

 .cd-top:hover {
  background-color: #e86154;
  background-color: var(--cd-color-3);
  opacity: 1;
}

.text-replace {
    overflow: hidden;
    color: transparent;
    text-indent: 100%;
    white-space: nowrap;
  }

  .cd-top--is-visible {  
    visibility: visible;
    opacity: 1;
  }
  
  .cd-top--fade-out { 
    opacity: .5;
  }

  .cd-top {z-index: 99;
    position: absolute !important;
    bottom: 20px!important;
    right: 20px!important;
    background-color: #284875c2!important;
    width: 40px !important;
  }

    body {position: relative;}